Upstream information

CVE-2021-36086 at MITRE

Description

The CIL compiler in SELinux 3.2 has a use-after-free in cil_reset_classpermission (called from cil_reset_classperms_set and cil_reset_classperms_list).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:N/I:N/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 3.3
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:L
Attack Vector Local
Attack Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact Low
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1187964 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Liberty Linux 8
  • libsepol >= 2.9-3.el8
  • libsepol-devel >= 2.9-3.el8
  • libsepol-static >= 2.9-3.el8
Patchnames:
RHSA-2021:4513
SUSE Linux Enterprise Micro 5.4
  • libsepol2 >= 3.4-150400.1.11
Patchnames:
SUSE Linux Enterprise Micro 5.4 GA libsepol2-3.4-150400.1.11
openSUSE Tumbleweed
  • libsepol-devel >= 3.2-3.2
  • libsepol-devel-static >= 3.2-3.2
  • libsepol-utils >= 3.2-3.2
  • libsepol2 >= 3.2-3.2
  • libsepol2-32bit >= 3.2-3.2
Patchnames:
openSUSE Tumbleweed GA libsepol-devel-3.2-3.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 libselinux Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 libselinux Not affected
SUSE Linux Enterprise Real Time 15 SP3 libselinux Not affected
SUSE Linux Enterprise Server 12 SP5 libselinux Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libselinux Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 libselinux Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 libselinux Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 libselinux Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS libselinux Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS libselinux Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 libselinux Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS libselinux Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS libselinux Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 libselinux Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS libselinux Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS libselinux Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS libselinux Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS libselinux Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 libselinux Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 libselinux Not affected
SUSE Linux Enterprise Server 12 SP2-BCL libselinux Not affected
SUSE Linux Enterprise Server 15 SP2 libselinux Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS libselinux Not affected
SUSE Linux Enterprise Server 15 SP3 libselinux Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS libselinux Not affected
SUSE Linux Enterprise Server 15-ESPOS libselinux Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 libselinux Not affected
SUSE Linux Enterprise Server for SAP Applications 15 libselinux Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libselinux Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libselinux Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libselinux Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 libselinux Not affected
SUSE CaaS Platform 3.0 libselinux Not affected
SUSE CaaS Platform 4.0 libselinux Not affected
SUSE Enterprise Storage 6 libselinux Not affected
SUSE Enterprise Storage 7 libselinux Not affected
SUSE Linux Enterprise Desktop 11 SP4 libselinux Not affected
SUSE Linux Enterprise Desktop 12 SP2 libselinux Not affected
SUSE Linux Enterprise Desktop 12 SP3 libselinux Not affected
SUSE Linux Enterprise Desktop 12 SP4 libselinux Not affected
SUSE Linux Enterprise Desktop 15 libselinux Not affected
SUSE Linux Enterprise Desktop 15 SP1 libselinux Not affected
SUSE Linux Enterprise Desktop 15 SP2 libselinux Not affected
SUSE Linux Enterprise Desktop 15 SP3 libselinux Not affected
SUSE Linux Enterprise Micro 5.0 libselinux Not affected
SUSE Linux Enterprise Module for Basesystem 15 libselinux Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 libselinux Not affected
SUSE Linux Enterprise Point of Service 11 SP3 libselinux Not affected
SUSE Linux Enterprise Real Time 15 SP2 libselinux Not affected
SUSE Linux Enterprise Server 11 SP3 libselinux Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS libselinux Not affected
SUSE Linux Enterprise Server 11 SP4 libselinux Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS libselinux Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS libselinux Not affected
SUSE Linux Enterprise Server 12 SP2 libselinux Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS libselinux Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS libselinux Not affected
SUSE Linux Enterprise Server 12 SP3 libselinux Not affected
SUSE Linux Enterprise Server 12 SP3-BCL libselinux Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS libselinux Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS libselinux Not affected
SUSE Linux Enterprise Server 12 SP4 libselinux Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS libselinux Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS libselinux Not affected
SUSE Linux Enterprise Server 15 libselinux Not affected
SUSE Linux Enterprise Server 15 SP1 libselinux Not affected
SUSE Linux Enterprise Server 15 SP1-BCL libselinux Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS libselinux Not affected
SUSE Linux Enterprise Server 15 SP2-BCL libselinux Not affected
SUSE Linux Enterprise Server 15 SP3-BCL libselinux Not affected
SUSE Linux Enterprise Server 15-LTSS libselinux Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 libselinux Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 libselinux Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libselinux Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libselinux Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libselinux Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 libselinux Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 libselinux Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libselinux Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 libselinux Not affected
SUSE Manager Proxy 4.0 libselinux Not affected
SUSE Manager Proxy 4.1 libselinux Not affected
SUSE Manager Proxy 4.2 libselinux Not affected
SUSE Manager Retail Branch Server 4.0 libselinux Not affected
SUSE Manager Retail Branch Server 4.1 libselinux Not affected
SUSE Manager Retail Branch Server 4.2 libselinux Not affected
SUSE Manager Server 4.0 libselinux Not affected
SUSE Manager Server 4.1 libselinux Not affected
SUSE Manager Server 4.2 libselinux Not affected
SUSE OpenStack Cloud 7 libselinux Not affected
SUSE OpenStack Cloud 8 libselinux Not affected
SUSE OpenStack Cloud 9 libselinux Not affected
SUSE OpenStack Cloud Crowbar 8 libselinux Not affected
SUSE OpenStack Cloud Crowbar 9 libselinux Not affected


SUSE Timeline for this CVE

CVE page created: Thu Jul 1 11:44:54 2021
CVE page last modified: Thu Feb 1 01:40:48 2024